NewObject< T > Struct Template Reference

An object factory function. More...

`#include <misc.h>`

## Public Member Functions

T * | operator() () const

## Detailed Description

template<class T>
struct NewObject< T >

An object factory function.

Template Parameters

  T | class or type

NewObject overloads operator()().

Definition at line 258 of file misc.h.

## Member Function Documentation

## operator()()

template<class T >

T * NewObject< T >::operator() | ( |  | ) | const

inline

Definition at line 260 of file misc.h.

The documentation for this struct was generated from the following file:

- misc.h